# pandas.Series.combine_first

`Series.``combine_first`(other)

  Combine Series values, choosing the calling Series’s values first.

  Parameters:

  other : Series

  > The value(s) to be combined with the Series.

  Returns:

  Series

  > The result of combining the Series with the other object.

  See also

  `Series.combine`
    Perform elementwise operation on two Series using a given function.

  Notes

  Result index will be the union of the two indexes.

  Examples

      >>> s1 = pd.Series([1, np.nan])
      >>> s2 = pd.Series([3, 4])
      >>> s1.combine_first(s2)
      0    1.0
      1    4.0
      dtype: float64

Scroll To Top